Complete multipart upload
curl --request POST \
--url https://api.getcargo.io/v1/workspaceManagement/files/multipart/complete \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"s3Filename": "<string>",
"uploadId": "<string>",
"parts": [
{
"partNumber": 5000,
"etag": "<string>"
}
]
}
'import requests
url = "https://api.getcargo.io/v1/workspaceManagement/files/multipart/complete"
payload = {
"s3Filename": "<string>",
"uploadId": "<string>",
"parts": [
{
"partNumber": 5000,
"etag": "<string>"
}
]
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
s3Filename: '<string>',
uploadId: '<string>',
parts: [{partNumber: 5000, etag: '<string>'}]
})
};
fetch('https://api.getcargo.io/v1/workspaceManagement/files/multipart/complete', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"s3Filename": "<string>"
}Workspace Management - Files
Complete multipart upload
Assemble the uploaded parts into the final S3 object
POST
/
workspaceManagement
/
files
/
multipart
/
complete
Complete multipart upload
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Body
application/json
Response
Successful response
Was this page helpful?
⌘I

